# Function configure

- configure<C>(options): (<I, O>(inputs) => Generator<GraphQlRequest | Web3Request, (I & O)[], any>)

- #### Type Parameters

  - #### C extends Project.LoadCompile.Batch.Config

  #### Parameters

  - ##### options: Project.LoadCompile.Batch.Compilations.Options<C>

  #### Returns (<I, O>(inputs) => Generator<GraphQlRequest | Web3Request, (I & O)[], any>)

  - - <I, O>(inputs): Generator<GraphQlRequest | Web3Request, (I & O)[], any>

    - #### Type Parameters

      - #### I extends Compilation & {
        contracts: Project.LoadCompile.Batch.Contract<C>[];
        sources: Project.LoadCompile.Batch.Source<C>[];
        }

      - #### O extends Compilation & {
        contracts: Project.LoadCompile.Batch.Contract<C>[];
        sources: Project.LoadCompile.Batch.Source<C>[];
        } & {
        db: Resources<C>;
        }

      #### Parameters

      - ##### inputs: I[]

      #### Returns Generator<GraphQlRequest | Web3Request, (I & O)[], any>

  - Defined in packages/db/src/project/loadCompile/batch.ts:60

Generated using TypeDoc